package cn.com.taiji.dataService.model;

import lombok.Data;

import java.io.Serializable;

/**
 * @Description
 *
 * @Author  yangyue
 * @Date 2021/11/18
 */
@Data
public class ProviewFetchingVO implements Serializable {



    /**
     * 监控点编号（通用唯一识别码UUID）
     */
    private String  cameraIndexCode;

    /**
     * 码流类型(0-主码流,1-子码流),未填默认为主码流
     */

    private Integer streamType;

    /**
     * 协议类型（rtsp-rtsp协议,rtmp-rtmp协议,hls-hLS协议），未填写为rtsp协议
     */
    private String  protocol;

    /**
     * 协议类型( 0-udp，1-tcp),默认为tcp，在protocol设置为rtsp或者rtmp时有效
     */
    private Integer transmode;

    /**
     * 拓展字段（标准协议取流不需要扩展字段信息 ）
     */
    private String expand;
}
